@import '../init';

// ============================================================================
// Cutlines
// ============================================================================

.cutline-top {
  @include cutline('top');

  &--small {
    --cutline-space-inner: var(--cutline-default-space-v-small);
    --cutline-space-outer: var(--cutline-default-space-v-small);
  }
}

.cutline-bottom {
  @include cutline('bottom');

  &--small {
    --cutline-space-inner: #{$cutline-default-space-small-v};
    --cutline-space-outer: #{$cutline-default-space-small-v};
  }
}

// ============================================================================
// Misc
// ============================================================================

// Image lazy load animation (via Drupals Blazy stuff)
.media--loading::before {
  background-color: var(--bs-primary);
}

// Drupal cores ajax spinner / throbber
.ajax-spinner {
  font-family: var(--bs-body-font-family);

  &__label {
    font-weight: var(--bs-font-weight-bold);
  }

  &--inline {
    display: inline-block;
    vertical-align: center;
    margin: 0.25em;
  }

  &--fullscreen {
    position: fixed;
    left: 0;
    top: 0;
    z-index: 999999;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--bs-dark-glass);
    color: var(--bs-white);

    .spinner {
      margin-bottom: 1rem;
    }
  }
}

// Maps Iframes
iframe[src*='maps'] {
  width: 100%;
}

// Image Maps (DSGVO conform replacement for embeded maps)
//       For example markup see: https://www.md-hoteleinrichtungen.de/ (Footer)
.image-map {
  position: relative;
  margin-bottom: var(--bs-spacer-3);

  &__map {
    display: block;
    line-height: 0;
    height: 100%;

    img {
      object-fit: cover;
      object-position: center center;
      width: 100%;
      height: 100%;
      max-width: none;
      transition-duration: 80ms;
      transition-property: filter;
      filter: grayscale(50%);
    }
  }

  &__direction {
    position: absolute;
    max-width: 40%;
    bottom: 1rem;
    left: 1rem;
    margin: 0;
    opacity: 0.7;
    line-height: 1.1;
    font-size: var(--bs-font-size-sm);
  }

  &__source {
    display: block;
    position: absolute;
    right: 0;
    bottom: 0;
    max-width: 65%;
    line-height: 1.1;
    opacity: 0.65;
    color: black !important;
    // ensure its always readable
    text-shadow: 1px 1px 0 white;
    background-color: rgba(255, 255, 255, 0.75);
    padding: 0.25em 0.5em;
    border-top-left-radius: 3px;

    a {
      color: currentColor !important;
    }

    &:hover {
      opacity: 1;
    }
  }

  &:hover {
    .image-map__map {
      img {
        filter: grayscale(0%);
      }
    }
  }
}
